
Foreman - Bug #4506

PXE Linux Template needs IPAPPEND 2 added

02/28/2014 04:10 PM - Sean Alderman

Status: Resolved   

Priority: Low   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It appears that IPAPPEND 2 is required when using ksdevice=bootif.

I recently installed two HP Proliant DL380e Servers with an integrated 4 port NIC having only port 1 wired.  According to various

documentation, Fedora, CentOS, RedHat this is required to allow the PXE'd NIC to be passed to the loaded installer kernel to avoid

the network interface selection prompt.

The PXE Linux Template should look something like:

default linux

label linux

kernel boot/<whatever>-vmlinuz

ipappend 2

append initrd=boot/<whatever>-initrd.img ks=http://foreman.example.com:80/unattended/provision ksdevice=bootif network

kssendmac

History

#1 - 02/28/2014 05:39 PM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 02/28/2014 05:48 PM - Anonymous

Sean, I think this got already fixed by https://github.com/theforeman/community-templates/commit/b8a3c64f4c1783a119a07bc74778847a68d8ee2e

and also went into Foreman 1.4. You probably have to sync your templates to those newer versions.

#3 - 03/03/2014 09:10 AM - Dominic Cleal

- Status changed from Assigned to Resolved

I think this is resolved, please re-open or say if not.  thanks.

#4 - 03/03/2014 03:34 PM - Sean Alderman

Is there documentation on how to perform this template sync?

I can see that the code is in place, I concede that the issue is resolved :)

#5 - 03/03/2014 03:39 PM - Anonymous

I recommend to use the foreman_templates plugin: https://github.com/theforeman/foreman_templates and an own git repo with 

https://github.com/theforeman/community-templates as upstream.
